## org.exist.ant
Class AddUserTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.UserTask
                      org.exist.ant.AddUserTask

public class AddUserTask
extends UserTask

an ant task to add a user

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`AddUserTask()`

Method Summary
`void` `execute()`
`void` `setHome(java.lang.String home)`
`void` `setName(java.lang.String name)`
`void` `setPrimaryGroup(java.lang.String primaryGroup)`
`void` `setSecret(java.lang.String secret)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddUserTask

    public AddUserTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `UserTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### setName

    public void setName(java.lang.String name)

### setPrimaryGroup

    public void setPrimaryGroup(java.lang.String primaryGroup)

### setHome

    public void setHome(java.lang.String home)

### setSecret

    public void setSecret(java.lang.String secret)

Copyright (C) Wolfgang Meier. All rights reserved.